This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 69546 - When you select nis in authconfig, you can't change the local root password
When you select nis in authconfig, you can't change the local root password
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: authconfig (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-22 21:38 EDT by Marc MERLIN
Modified: 2007-04-18 12:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 07:39:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc MERLIN 2002-07-22 21:38:15 EDT
Description of Problem:
authconfig changes /etc/pam.d/system-auth as such:
password    sufficient    /lib/security/pam_unix.so nullok use_authtok md5
shadow nis

This works for changing user passwords but this prevents me from using my
local root password since it tries to change it over nis.

I removed "nis" on the password line and I'm changing my user passwords with
yppasswd.
This works fine, but authconfig will blow away my change eventually, and if I
tell authconfig not to use NIS, then it turns YP off altogether...
Comment 1 Chuck Slivkoff 2003-11-07 20:24:03 EST
Has this been resolved?
Comment 2 Chuck Slivkoff 2003-11-07 20:41:39 EST
I just confirmed (on 7.2 & 7.3) that this is still broken.

/usr/bin/passwd doesn't know to call yppasswd to change NIS user
passwords.

Any ETA on a fix?

Comment 3 Tomas Mraz 2004-12-07 07:39:02 EST
This is fixed in current releases in case you don't have root account
in the NIS. The remaining issue is bug 115309.

Note You need to log in before you can comment on or make changes to this bug.